Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 04/12/2012, à 20:57

laeti3333

Paquets cassés [Résolu]

Bonjour,

J'ai installé il y a quelques temps Lubuntu sur mon EeePC. Et donc je suis une débutante en Linux lol.

Mais j'ai deux problèmes avec les installations, un présent depuis toujours, et l'autre juste depuis quelques jours.

Mon premier problème, présent depuis l'installation de Lubuntu, est que je ne peux pas installer de logiciels depuis la logithèque Lubuntu. En effet, ça me met "Nécessite l'installation de paquets non vérifiés" et lorsque je clique sur "Fermer", rien ne se passe ou au mieux je reviens à la logithèque sans que les paquets ne soient installés...

Et mon deuxième problème c'est que du fait que je ne pouvais pas installer de paquets via la logithèque, j'ai voulu passer par la console. Et lorsque j'ai voulu installer Jupiter, il y a un paquet qui a cassé apparemment. Depuis je ne peux plus mettre à jour Lubuntu et je n'arrive pas à réparer, supprimer ou finir d'installer Jupiter... Malgré les codes que j'ai trouvé sur le même sujet sur le net.

Evidemment, mon deuxième problème est bien plus gênant que le premier car du coup, je ne peux plus rien installer...

Est-ce que quelqu'un peut m'aider??? hmm

Merci d'avance pour vos réponses.

Dernière modification par laeti3333 (Le 05/12/2012, à 23:47)

Hors ligne

#2 Le 04/12/2012, à 21:00

lann

Re : Paquets cassés [Résolu]

Il faudrait que tu nous donnes ce qui est écrit dans la console lorsque tu essaies de mettre à jour Lubuntu

Hors ligne

#3 Le 05/12/2012, à 00:16

laeti3333

Re : Paquets cassés [Résolu]

Merci de ta réponse lann.

Pour les mises à jour je passe par le Gestionnaire de mises à jour et non par la console. Et il me met "Nécessite l'installation de paquets non vérifiés" avec en détails "acpi-support acpid indicator-application laptop-detect libappindicator1 python-appindicator radeontool toshset"
Je ne sais pas comment mettre à jour via la console, je ne suis pas encore habituée à elle...

En revanche, lorsque j'essaie de réparer les paquets et que je mets le code "sudo apt-get install -f" ça me met:

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 3 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Paramétrage de jupiter (0.0.50.2) ...
Adding users to Jupiter group: laetitia
Adding jupiter to sudoers
Setting permissions..
chown: impossible d'accéder à «/etc/acpi/events»: Aucun fichier ou dossier de ce type
dpkg : erreur de traitement de jupiter (--configure) :
le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Des erreurs ont été rencontrées pendant l'exécution :
jupiter
E: Sub-process /usr/bin/dpkg returned an error code (1)

hmm

Hors ligne

#4 Le 05/12/2012, à 09:27

jplemoine

Re : Paquets cassés [Résolu]

hmm
Je pense que le point2 est lié au point 1. Il manque une "clé" pour authentifier un ou plusieurs paquets. Ces paquets ne peuvent donc pas être installés.
Jupiter a donc des dépendances non satisfaites et reste dans un état instable.

Sans aucune certitude, pourrais-tu taper ceci dans une console et poster le résultat :

sudo apt-get update

appuyer sur la touche Entrée et mettre le mot de passe lorsqu'il sera demandé.

Si c'est ce que je crois, il y a aura un message d'erreur assez explicite (quand on connait ; dans le cas contraire, je ne suis pas sur).
Il y aura toujours une âme charitable (au moins moi) qui te le décodera si besoin.


Cordialement, Jean-Philippe.
Sous Ubuntu en système principal depuis 2009
Ubuntu 14.04 desktop (2 postes) & server (1 poste)

Hors ligne

#5 Le 05/12/2012, à 18:56

laeti3333

Re : Paquets cassés [Résolu]

Voila le message d'erreur que j'ai quand je met le code "sudo apt-get update". Effectivement, en tant que débutante, je ne comprends rien à ce qu'il y a écrit lol...

W: Erreur de GPG : http://fr.archive.ubuntu.com precise Release : Les signatures suivantes ne sont pas valables : BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>

Y-a-t'il une âme charitable qui pourrais me le décoder? big_smile

Hors ligne

#6 Le 05/12/2012, à 19:08

alca94

Re : Paquets cassés [Résolu]

Hors ligne

#7 Le 05/12/2012, à 19:58

jplemoine

Re : Paquets cassés [Résolu]

--> il y a eu l'erreur que je soupçonnais...
Comme promis, je te le décode : c'est une protection (un peu comme un disjoncteur différentiel qui te protège) qui protège ton système comme des mises à jour "non vérifiée".
il y a un problème entre la signature théorique et la signature calculée... Donc, il faut resynchroniser tout ça...

Dans un premier temps, tu tentes :

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 40976EAF437D05B5

- S'il y a une erreur, tu postes le résultat
- S'il n'y a pas d'erreur, tu retentes

sudo apt-get update

Et tu postes le résultat. En fonction de ça, il faudra :
- corriger via un plan B
- finir l'installation de Jupiter.


Cordialement, Jean-Philippe.
Sous Ubuntu en système principal depuis 2009
Ubuntu 14.04 desktop (2 postes) & server (1 poste)

Hors ligne

#8 Le 05/12/2012, à 21:07

laeti3333

Re : Paquets cassés [Résolu]

Suite au lien donné par alca94, j'ai fait cette série de code:
sudo rm -r /var/lib/apt/lists
sudo mkdir -p /var/lib/apt/lists/partial
sudo apt-get update

Tout à l'air de fonctionner smile
Merci beaucoup de ton aide wink
et merci à alca94 pour le lien smile

Hors ligne

#9 Le 05/12/2012, à 21:32

jplemoine

Re : Paquets cassés [Résolu]

C'était le plan B.
De rien, pourrais-tu mettre [Résolu] en début du titre en éditant ton 1er post. Merci.

Jean-Philippe


Cordialement, Jean-Philippe.
Sous Ubuntu en système principal depuis 2009
Ubuntu 14.04 desktop (2 postes) & server (1 poste)

Hors ligne

Haut de page ↑